Skip to main content
GET
/
job
/
{jobid}
Get job by ID
curl --request GET \
  --url https://jobaffinity.fr/restapi/v1/job/{jobid} \
  --header 'Authorization: Basic <encoded-value>'
{
  "_self": "<string>",
  "id": 123,
  "title": "<string>",
  "status": "DRAFT",
  "applications": {
    "_self": "<string>"
  },
  "_schema": "<string>",
  "_status": "OK",
  "reference": "<string>",
  "client": "<string>",
  "location": {
    "address": "<string>",
    "postalcode": "<string>",
    "town": "<string>",
    "country": "<string>",
    "longitude": 123,
    "latitude": 123
  },
  "description": "<string>",
  "employer_description": "<string>",
  "position_description": "<string>",
  "profile_description": "<string>",
  "creation_date": "2023-12-25",
  "owner": {
    "id": 123,
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "jsmith@example.com"
  },
  "contract_type": {
    "name": "<string>",
    "abbreviation": "<string>"
  },
  "term": {
    "count": 123,
    "unit": "DAY"
  },
  "organisation": {
    "id": 123,
    "name": "<string>"
  },
  "attributes": {
    "items": [
      {
        "name": "<string>",
        "api_name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "questionnaire": {},
  "process": {
    "_self": "<string>",
    "id": 123
  },
  "team": {
    "_self": "<string>"
  }
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication with API credentials

Path Parameters

jobid
integer
required

Job ID

Response

Job details

_self
string<uri>

URL of the job resource

id
integer

Job identifier

title
string

Job title

status
enum<string>

Job status

Available options:
DRAFT,
PENDING_APPROVAL,
PUBLISHED,
CLOSED,
ARCHIVED
applications
object
_schema
string<uri>
_status
enum<string>
Available options:
OK,
INVALID
reference
string

Job reference code

client
string

Job client

location
object

Job location with postal address and geographic coordinates

description
string

Job description (HTML format)

employer_description
string

Employer description

position_description
string

Position description

profile_description
string

Required profile description

creation_date
string<date>

Job creation date (YYYY-MM-DD)

owner
object

User responsible for the job

contract_type
object
term
object
organisation
object
attributes
object

Custom job attributes

questionnaire
object

Questionnaire associated with the job, or null if none

process
object
team
object